const toNote = st => {
  return st.substring(0, st.length - 1);
};
  
const toOctave = st => {
  return +st.substring(st.length - 1, st.length);
};
  
const orderedNotes = ['C', 'C#', 'Db', 'D', 'D#', 'Eb', 'E', 'F', 'F#', 'Gb', 'G', 'G#', 'Ab', 'A', 'A#', 'Bb', 'B'];

export const getOrderedNotes = data => {
  const uniqueNotes = [];
  
  data.map(d => d.note).forEach(d => {
    if(uniqueNotes.indexOf(d) < 0) {
      uniqueNotes.push(d);
    }
  });
  
  uniqueNotes.sort((a,b) => {
    const aNote = toNote(a);
    const aOctave = toOctave(a);
    const bNote = toNote(b);
    const bOctave = toOctave(b);
    let result = 0;
    
    if(aOctave !== bOctave) {
      result = bOctave - aOctave;
    } else {
      result = orderedNotes.indexOf(bNote) - orderedNotes.indexOf(aNote)
    }
    return result; 
  });

  return uniqueNotes;
}
